## pyrex 0.9.3

=== Makefile ===
VERSION = 0.9.3

version:
	@echo "Setting version to $(VERSION)"
	@echo "version = '$(VERSION)'" > Pyrex/Compiler/Version.py

#check_contents:
#	@if [ ! -d Pyrex/Distutils ]; then \
#		echo Pyrex/Distutils missing; \
#		exit 1; \
#	fi

clean:
	@echo Cleaning Source
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@(cd Demos; $(MAKE) clean)

## pyrex 0.9.3-1osso6

=== Demos/Makefile ===
all:
	python2.4 Setup.py build_ext --inplace

test:	all
	python2.4 run_primes.py 20
	python2.4 run_numeric_demo.py
	python2.4 run_spam.py
	cd callback; $(MAKE) test

clean:
	@echo Cleaning Demos
	@rm -f *.c *.o *.so *~ core
	@rm -rf build
	@cd callback; $(MAKE) clean
	@cd embed; $(MAKE) clean

=== Demos/callback/Makefile ===
all:
	python2.4 Setup.py build_ext --inplace

test:	all
	python2.4 run_cheese.py

clean:
	@echo Cleaning Demos/callback
	@rm -f cheese.c *.o *.so *~ core
	@rm -rf build

=== debian/changelog ===
pyrex (0.9.3-1osso6) unstable; urgency=low

  * debian/rules refactored

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Fri,  9 Jun 2006 16:36:29 -0300

pyrex (0.9.3-1osso5) unstable; urgency=low

  * changed architecture from 'any' to 'all'

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Tue, 6 Jun 2006 18:06:00 -0300

pyrex (0.9.3-1osso4) unstable; urgency=low

  * added byte-compiled files to package

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Fri, 19 May 2006 13:58:00 -0300

pyrex (0.9.3-1osso3) unstable; urgency=low

  * some package cleanups
  * added python2.4 requirement

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Fri, 5 May 2006 16:38:00 -0300

pyrex (0.9.3-1osso2) unstable; urgency=low

  * Fixed error in rules: dh_link parameter (was not creating /usr/bin/pyrexc
    symlink)

 -- Elvis Pfutzenreuter <elvis.pfutzenreuter@indt.org.br>  Wed, 26 Apr 2005 17:15:00 -0300

pyrex (0.9.3-1osso1) unstable; urgency=low

  * Compiled against SDK 2.0 RC3
  * Changed package suffix from indt to osso

 -- Elvis Pfutzenreuter <elvis.pfutzenreuter@indt.org.br>  Wed, 26 Apr 2005 16:20:00 -0300

pyrex (0.9.3-3indt1) unstable; urgency=low

  * Adopted

 -- Ruda Moura <ruda.moura@indt.org.br>  Thu, 10 Nov 2005 10:55:20 -0300

pyrex (0.9.3-3) unstable; urgency=low

  * Drop python2.2-pyrex
  * Update copyright file
  * Bump to new Standards-Version

 -- Paul Brossier <piem@debian.org>  Wed, 13 Jul 2005 17:48:17 +0100

pyrex (0.9.3-2) unstable; urgency=low

  * Added python2.4-pyrex (closes: #292257)
  * Patch to get friendlier code for gcc 4.0 (closes: #298084)
     Author is Jeremy Katz, sent to pyrex ML via John (J5) Palmieri
  * Also add additional patch from Martijn Faassen
  * Fix swig_sources function in Pyrex/Distutils for python2.4
  * Correct the email in previous changelog entry 0.9.2.1-4
  * Move pyrexc link to python-pyrex
  * Remove Guenter from the uploaders (thanks for the uploads)

 -- Paul Brossier <piem@debian.org>  Tue, 21 Jun 2005 20:02:11 +0100

pyrex (0.9.3-1) unstable; urgency=low

  * New upstream release
  * Created watch file and pyrex-mode package
  * Removed long unsigned patch (fixed upstream)
  * Removed DH_VERBOSE mode, debug and nostrip opts in rules

 -- Paul Brossier <piem@altern.org>  Thu, 12 Aug 2004 13:08:21 +0200

pyrex (0.9.2.1-4) unstable; urgency=low

  * Fixed python Build-Depends: for amd64 (closes: #255603)

 -- Paul Brossier <piem@altern.org>  Mon, 28 Jun 2004 12:01:14 +0100

pyrex (0.9.2.1-3) unstable; urgency=low

  * Fixed patch (closes: #251572, #255279)
  * Fixed override disparity (now in section python)

 -- Paul Brossier <piem@altern.org>  Mon, 21 Jun 2004 11:31:58 +0100

pyrex (0.9.2.1-2) unstable; urgency=low

  * Really includes a patch for dbus now (closes: #251572)
  * Bump debian-policy to 3.6.1.0

 -- Paul Brossier <piem@altern.org>  Wed, 16 Jun 2004 15:55:44 +0100

pyrex (0.9.2.1-1) unstable; urgency=low

  * New upstream release (closes: #252819)
  * Fixes namespace collision (closes: #233596)
  * Added lamont patch (closes: #249881)
  * Clean *.pyc to allow recompile

 -- Paul Brossier <piem@altern.org>  Wed,  9 Jun 2004 12:16:04 +0100

pyrex (0.9.0-4) unstable; urgency=low

  * Fixed upstream archive (permissions set to -x, removed .DS_Store garbage).
  * Added missing cheesfinder.c as found in 0.7.2 release (closes: #232655).
  * Corrected Makefile* in Demos.
  * Added Tools in doc (enscript and emacs style files)

 -- Paul Brossier <piem@altern.org>  Wed, 18 Feb 2004 03:13:59 +0000

pyrex (0.9.0-3) unstable; urgency=low

  * Fixed debian/rules clean (Gregor Hoffleit)

 -- Paul Brossier <piem@altern.org>  Fri, 30 Jan 2004 01:05:20 +0000

pyrex (0.9.0-2) unstable; urgency=low

  * chmod -x on Pyrex/Compiler/Lexicon.pickle and some other files
  * fixed carriage return Changes.txt and ToDo.txt (s/\r/\r/g)

 -- Paul Brossier <piem@altern.org>  Sat, 10 Jan 2004 17:02:43 +0000

pyrex (0.9.0-1) unstable; urgency=low

  * New upstream release.

 -- Paul Brossier <piem@altern.org>  Sat, 15 Nov 2003 11:51:47 +0000

pyrex (0.8.2-5) unstable; urgency=low

  * Fixed Doc problem in python2.3-pyrex
  * Added 2.2 2.3 diversions for /usr/bin/pyrexc

 -- Paul Brossier <piem@altern.org>  Mon, 22 Sep 2003 19:52:39 +0100

pyrex (0.8.2-4) unstable; urgency=low

  * Added virtual package python-pyrex
  * Added compilation for python2.2
  * Removed dirs file

 -- Paul Brossier <piem@altern.org>  Tue, 16 Sep 2003 02:46:40 +0100

pyrex (0.8.2-3) unstable; urgency=low

  * Fixed compilation warning at postinst in Plex/Transitions.py
  * Header corrected to #!/urs/bin/python2.3 in pyrexc
  * Fixed wrong placement of dh_python in debian/rules
  * Removed Replaces: pyrex in control file
  * Removed redundant Build-Depends-Indep on python
  * Removed obsolete /usr/share/doc/pyrex in dirs

 -- Paul Brossier <piem@altern.org>  Tue, 16 Sep 2003 01:06:09 +0100

pyrex (0.8.2-2) unstable; urgency=low

  * Renamed binary from pyrex to python2.3-pyrex
  * Added Replaces: pyrex
  * Added missing changelog entries
  * Added build dependancie to python2.3-dev
  * Corrected dependancies to use dh_python
  * Updated rules to use distutil and dh_python
  * Removed old prerm to let dh_python handle it
  * Specify manpage in debian/rules

 -- Paul Brossier <piem@altern.org>  Sat, 13 Sep 2003 11:39:51 +0100

pyrex (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Fixed broken distutils
  * Removed obsolote README.Debian
  * Updated maintainer

 -- Paul Brossier <piem@altern.org>  Wed,  3 Sep 2003 12:26:29 +0100

pyrex (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@altern.org>  Mon, 30 Jun 2003 17:05:37 +0100

pyrex (0.7.2-1) unstable; urgency=low

  * New upstream release
  * Renamed my version of setup.py in the Demos directory to setup_all.py

 -- Peter Harris <scav@blueyonder.co.uk>  Thu, 24 Apr 2003 10:03:55 +0100

pyrex (0.7-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: pyrex
Section: python
Priority: optional
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends-Indep: debhelper (>> 4.1.52), python2.4, python2.4-dev
Standards-Version: 3.6.2

Package: python2.4-pyrex
Architecture: all
Depends: python2.4
Recommends: python2.4-dev
Description: compile native-code modules for python from python-like syntax
 Pyrex lets you write code that mixes Python and C data types any way you want,
 and compiles it into a C extension for Python.
 You can get very large speedups for tasks that don't need all the dynamic
 features of python, with very small differences in syntax and much less
 hassle than writing your modules from scratch in C.
 Pyrex was developed by Greg Ewing at the University of Canterbury, NZ
 .
 This package is built for Python 2.4.x

=== debian/rules ===
#!/usr/bin/make -f

PYVER=2.4
PYTHON=python$(PYVER)

p_base = python2.4-pyrex
d_base = debian/$(p_base)

filename=pyrexc
fullfilename=$(PYTHON)-$(filename)

build: build-stamp
build-stamp:
	find . -name .DS_Store -exec rm -rf {} \;
	find [DPTCs]* -type f -exec chmod -x {} \;
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(d_base)
	$(PYTHON) setup.py clean --all
	find . -name "*.py[co]" -exec rm -rf {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	$(PYTHON) setup.py install --root=$(d_base)
	$(PYTHON) -OO -m compileall -f $(d_base)

	sed -i "s|#!/usr/bin/python.*|#!/usr/bin/python2.4|" $(d_base)/usr/bin/$(filename)
	mv $(d_base)/usr/bin/$(filename) $(d_base)/usr/bin/$(fullfilename)
	install -d $(d_base)/usr/share/man/man1
	install -p -m644 debian/$(fullfilename).1 $(d_base)/usr/share/man/man1/$(fullfilename).1

	mkdir -p $(d_base)/usr/share/$(p_base)
	cp Doc/* $(d_base)/usr/share/$(p_base)
	cp -a Demos $(d_base)/usr/share/$(p_base)
	cp -a Tools $(d_base)/usr/share/$(p_base)

	dh_link -p$(p_base) usr/bin/$(fullfilename) usr/bin/$(filename)
	dh_link -p$(p_base) usr/share/man/man1/$(fullfilename).1.gz usr/share/man/man1/$(filename).1.gz

	# cleanup
	find $(d_base) -name ".svn" | xargs rm -rf


binary: binary-indep binary-arch
binary-indep: install
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary binary-arch binary-indep install configure

## pyrex 0.9.4.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.3
+VERSION = 0.9.4.1
 
 version:
 	@echo "Setting version to $(VERSION)"

## pyrex 0.9.4.1-1osso4

=== debian/changelog ===
pyrex (0.9.4.1-1osso4) unstable; urgency=low

  * applied patch that fixes #560 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Wed, 25 Apr 2007 15:34:03 -0300

pyrex (0.9.4.1-1osso3) unstable; urgency=low

  * remove Makefile when cleaning

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed, 26 Dec 2006 17:57:49 -0300

pyrex (0.9.4.1-1osso2) unstable; urgency=low

  * workaround the _tls assertion bug in package build

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Wed, 20 Dec 2006 13:50:49 -0300

pyrex (0.9.4.1-1osso1) unstable; urgency=low

  * fix the package version

 -- Osvaldo Santana Neto <osvaldo.santana@indt.org.br>  Thu, 16 Nov 2006 17:13:23 -0300

pyrex (0.9.4-1osso1) unstable; urgency=low

  * upgraded to pyrex v0.9.4.1 

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Tue,  14 Nov 2006 15:53:00 -0300

=== debian/control ===
Source: pyrex
Section: python
Priority: optional
Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
Build-Depends-Indep: debhelper (>> 4.1.52), python2.5 (>= 2.5.1-1osso2), python2.5-dev (>= 2.5.1-1osso2)
Standards-Version: 3.6.2

Package: python2.5-pyrex
Architecture: all
Depends: python2.5 (>= 2.5.1-1osso2)
Recommends: python2.5-dev (>= 2.5.1-1osso2)
Description: compile native-code modules for python from python-like syntax
 Pyrex lets you write code that mixes Python and C data types any way you want,
 and compiles it into a C extension for Python.
 You can get very large speedups for tasks that don't need all the dynamic
 features of python, with very small differences in syntax and much less
 hassle than writing your modules from scratch in C.
 Pyrex was developed by Greg Ewing at the University of Canterbury, NZ
 .
 This package is built for Python 2.5.x

## pyrex 0.9.5.1a

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.4.1
+VERSION = 0.9.5.1a
 
 version:
 	@echo "Setting version to $(VERSION)"

## pyrex 0.9.5.1-1osso1

=== debian/changelog ===
pyrex (0.9.5.1-1osso1) unstable; urgency=low

  * upgraded to pyrex v0.9.5.1

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Mon,  9 Jul 2007 11:33:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pyrex
 Section: python
 Priority: optional
-Maintainer: Osvaldo Santana Neto <osvaldo.santana@indt.org.br>
+Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
 Build-Depends-Indep: debhelper (>> 4.1.52), python2.5 (>= 2.5.1-1osso2), python2.5-dev (>= 2.5.1-1osso2)
 Standards-Version: 3.6.2

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
-PYVER=2.4
+PYVER=2.5
 PYTHON=python$(PYVER)
 
-p_base = python2.4-pyrex
+p_base = python2.5-pyrex
 d_base = debian/$(p_base)
 
 filename=pyrexc
@@ -11,10 +11,9 @@
 
 build: build-stamp
 build-stamp:
+	dh_testdir
 	find . -name .DS_Store -exec rm -rf {} \;
 	find [DPTCs]* -type f -exec chmod -x {} \;
-	dh_testdir
-	$(PYTHON) setup.py build
 	touch build-stamp
 
 clean:
@@ -24,6 +23,7 @@
 	rm -rf $(d_base)
 	$(PYTHON) setup.py clean --all
 	find . -name "*.py[co]" -exec rm -rf {} \;
+	find . -name "Makefile" -exec rm -rf {} \;
 	dh_clean
 
 install: build
@@ -34,7 +34,7 @@
 	$(PYTHON) setup.py install --root=$(d_base)
 	$(PYTHON) -OO -m compileall -f $(d_base)
 
-	sed -i "s|#!/usr/bin/python.*|#!/usr/bin/python2.4|" $(d_base)/usr/bin/$(filename)
+	sed -i "s|#!/usr/bin/python.*|#!/usr/bin/python2.5|" $(d_base)/usr/bin/$(filename)
 	mv $(d_base)/usr/bin/$(filename) $(d_base)/usr/bin/$(fullfilename)
 	install -d $(d_base)/usr/share/man/man1
 	install -p -m644 debian/$(fullfilename).1 $(d_base)/usr/share/man/man1/$(fullfilename).1

## pyrex 0.9.5.1-1osso2

=== debian/changelog ===
pyrex (0.9.5.1-1osso2) unstable; urgency=low

  * changing build to 'any' (to produce armel and x86 targets)

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Fri, 27 Jun 2008 17:35:33 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.6.2
 
 Package: python2.5-pyrex
-Architecture: all
+Architecture: any
 Depends: python2.5 (>= 2.5.1-1osso2)
 Recommends: python2.5-dev (>= 2.5.1-1osso2)
 Description: compile native-code modules for python from python-like syntax

## pyrex 0.9.6.4

=== Makefile ===
VERSION = 0.9.6.4

version:
	@echo "Setting version to $(VERSION)"
	@echo "version = '$(VERSION)'" > Pyrex/Compiler/Version.py

clean:
	@echo Cleaning Source
	@rm -f *.pyc */*.pyc */*/*.pyc 
	@rm -f *~ */*~ */*/*~
	@rm -f core */core
	@(cd Demos; $(MAKE) clean)

## pyrex 0.9.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.6.4
+VERSION = 0.9.7
 
 version:
 	@echo "Setting version to $(VERSION)"
@@ -10,3 +10,6 @@
 	@rm -f *~ */*~ */*/*~
 	@rm -f core */core
 	@(cd Demos; $(MAKE) clean)
+
+test_setup:
+	python setup.py --dry-run install

## pyrex 0.9.7.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.7
+VERSION = 0.9.7.2
 
 version:
 	@echo "Setting version to $(VERSION)"

## pyrex 0.9.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 0.9.7.2
+VERSION = 0.9.9
 
 version:
 	@echo "Setting version to $(VERSION)"

=== Pyrex/Mac/Makefile ===
# Makefile for Darwin

# Change this to your Python source location
PYTHON := /Local/Build/Pythonic/python/2.6.1

# Version 2.3:
#DYNOPT := -framework Python
# Version 2.4+:
DYNOPT := -undefined dynamic_lookup

INCLUDE := -I$(PYTHON) -I$(PYTHON)/Include -I$(PYTHON)/Mac/Include

CCOPTS := -fno-strict-aliasing -Wno-long-double -no-cpp-precomp \
	-mno-fused-madd -fno-common -dynamic

LDOPTS := -Wl,-F.,-w -bundle $(DYNOPT) -framework Carbon

all:	_File.so

_File.o:	_Filemodule_patched.c
	gcc -c $(INCLUDE) $(OPTS) $< -o $@

_File.so:	_File.o
	gcc $(LDOPTS) $< -o $@

=== debian/changelog ===
pyrex (0.9.9-1ubuntu1) focal; urgency=medium

  * Depend on python2-dev, python2.
  * Bump debhelper compat to v9.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 01:27:58 +0100

pyrex (0.9.9-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:40:50 +0000

pyrex (0.9.9-1) unstable; urgency=medium

  * New upstream release (closes: #582561, #610386)
  * Bump debian/compat to 7
  * Acknowledge NMU (Closes: #616980)
  * debian/compat: bump from 5 to 9
  * debian/patches: removed, integrated upstream
  * debian/control: add X-Python-Version, remove dpatch, add dh-python
  * debian/control: bump Standards-Version to 3.9.8, strip trailing space
  * debian/rules: update (closes: #668804, #831938), strip trailing spaces
  * debian/control: add python-dev to depends (closes: #648800)
  * debian/patches/baseexception.patch: add patch from ubuntu, thanks to
    Michael Vogt (closes: #604965)

 -- Paul Brossier <piem@debian.org>  Thu, 01 Sep 2016 12:04:51 +0200

pyrex (0.9.8.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #616980) 

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 28 Jun 2013 17:03:29 +0200

pyrex (0.9.8.5-2) unstable; urgency=low

  * Acknowledge NMU (closes: #519951)
  * Adjust pyrex-mode depends for emacs22 (closes: #485766)
  * Fix Vcs-* fields (closes: #536808)
  * Bump Standards-Version to 3.8.3

 -- Paul Brossier <piem@debian.org>  Tue, 08 Dec 2009 01:11:36 +0100

pyrex (0.9.8.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Prepare for the upcoming Python 2.6 transition; thanks to Evan Broder for
    the report; Closes: #519951
    - debian/control
      + tight b-d on python-all-dev to '(>= 2.5.4-1~)'
    - debian/rules
      + include python.mk
      + pass py_setup_install_args to setup.py install

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Nov 2009 23:28:41 +0100

pyrex (0.9.8.5-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge non-maintainer upload (closes: #483035).
  * Bump Standards-version to 3.8.1
  * Add ${misc:Depends} for debhelper 
  * Complete debian/copyright

 -- Paul Brossier <piem@debian.org>  Thu, 19 Mar 2009 16:11:15 +0100

pyrex (0.9.7.2-0.1) unstable; urgency=high

  * NMU because maintainer is MIA.
  * New upstream release fixing an integer indexing optimisation problem
    (0.9.7.1 and 0.9.7.2 contain this fix only, so this is safe for
    Lenny release) (Closes: #483035).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 29 Aug 2008 03:00:52 +0200

pyrex (0.9.7-1) unstable; urgency=low

  * New upstream release.
  * remove dh_python from debian/rules, add XB-Python-Version
    (closes: #460253)
  * remove auto-mode-alist from debian/pyrex-mode.el (ubuntu #73904)
  * add provide to debian/pyrex-mode.el (ubuntu #73903)
  * debian/control: added Homepage field
  * debian/rules, debian/control: add dpatch
  * debian/patches: add hash patch, thanks to Jakub Wilk (closes: #469735)
  * debian/control: drop Suggests: python-numeric (closes: #478455)
  * debian/python-pyrex.doc-base: switch to section Programming/Pyrex
  * debian/control: added fields Vcs-Browser and Vcs-Hg
  * debian/control: fix typo python -> Python

 -- Paul Brossier <piem@debian.org>  Sun, 11 May 2008 16:19:48 +0200

pyrex (0.9.6.4-1) unstable; urgency=low

  * New upstream release (closes:#406025)
  * Move python-all-dev to Build-Depends since python gets called in
    debian/rules:clean
  * Delete empty usr/lib from python-pyrex
  * Delete blank lines from debian/python-pyrex.doc-base
  * Remove empty binary-arch target
  * Bump Standards-Version to 3.7.3

 -- Paul Brossier <piem@debian.org>  Fri, 11 Jan 2008 11:50:29 +0100

pyrex (0.9.5.1a-1) unstable; urgency=low

  * New upstream release (closes: #411004)
  * Provide only ${python:Provides} (closes: #399937)
  * Drop Conflicts and Replaces against oldstable packages
  * Bumpep Build-depends on debhelper to 5.0.37.2
  * Added debian/pycompat, set to 2
  * Moved DH_COMPAT=5 to debian/compat

 -- Paul Brossier <piem@debian.org>  Sat, 21 Apr 2007 15:16:07 +0200

pyrex (0.9.4.1-2) unstable; urgency=low

  * Correct pyrex-mode emacsen-startup script: load python-mode, not
    python-mode. Add support for .pxi/.pxd extensions (thanks to Lukasz
    Pankowski, closes: #375861). Avoid loading pyrex-mode when package has
    been removed but not purged, do not touch load-path.
  * Move dh_pycentral call right before dh_python.

 -- Paul Brossier <piem@debian.org>  Tue,  4 Jul 2006 15:44:27 +0200

pyrex (0.9.4.1-1) unstable; urgency=low

  * New upstream release
  * Update to new Python policy (closes: #373505)

 -- Paul Brossier <piem@debian.org>  Wed, 14 Jun 2006 18:21:15 +0200

pyrex (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Paul Brossier <piem@debian.org>  Thu, 20 Apr 2006 15:54:27 +0200

pyrex (0.9.3.1-2) unstable; urgency=low

  * Add missing gcc 4.0 patch (closes: #343533)
  
 -- Paul Brossier <piem@debian.org>  Mon, 19 Dec 2005 09:01:29 +0000

pyrex (0.9.3.1-1) unstable; urgency=low

  * New upstream release, integrates some of the gcc-4.x changes:
    - adopted changes in Pyrex/Compiler/Nodes.py
    - changed casts from PyObject* to void* in Pyrex/Compiler/Code.py
    - removed Demos/{callback,embed} and Tools as in upstream
    (closes: #328871)
  * Keep a copy of pyrex-mode.el to debian/
  * Added missing emacscen-startup script for pyrex-mode (closes: #337054)

 -- Paul Brossier <piem@debian.org>  Sun, 11 Dec 2005 15:45:59 +0000

=== debian/control ===
Source: pyrex
Section: python
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 9),
               python-all-dev (>= 2.6.6-3~),
               dh-python
Standards-Version: 3.9.8
Homepage: http://www.cosc.canterbury.ac.nz/greg.ewing/python/Pyrex/
Vcs-Bzr: http://bzr.debian.org/users/piem/pyrex/
Vcs-Browser: http://bzr.debian.org/loggerhead/users/piem/pyrex/
X-Python-Version: 2.7

Package: python-pyrex
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python2-dev
Provides: ${python:Provides}
Recommends: python-all-dev
Description: compile native-code modules for Python from Python-like syntax
 Pyrex lets you write code that mixes Python and C data types any way you want,
 and compiles it into a C extension for Python.
 .
 You can get very large speedups for tasks that don't need all the dynamic
 features of Python, with very small differences in syntax and much less
 hassle than writing your modules from scratch in C.

Package: pyrex-mode
Architecture: all
Depends: python-mode | emacs22, ${misc:Depends}
Description: emacs-lisp pyrex-mode for pyrex
 Pyrex lets you write code that mixes Python and C data types any way you want,
 and compiles it into a C extension for Python.
 .
 This Emacs mode is derived from the Python language mode, python-mode,
 and provides syntax highlighting for Pyrex scripts.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

PYTHON := /usr/bin/python2
PYVERS := $(shell pyversions -vr debian/control)
PYVER  := $(shell python2 -c 'import sys; print sys.version[:3]')
PYREXC=pyrexc

configure: configure-stamp
configure-stamp:
	dh_testdir
	# nothing to do
	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp
build-stamp: configure-stamp
	# make sure most files are not executable
	find [DPTCs]* -type f -exec chmod -x {} \;
	dh_testdir
	# nothing to do
	touch build-stamp

clean: clean1st
clean1st:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(PYTHON) setup.py clean --all ;\
	# delete *.pyc generated by setup.py
	find . -name '*.pyc' -exec rm -rf {} \;
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# fix executable file : headers, names
	# $$file -> python$$version-$$file
	$(PYTHON) setup.py install --root=$(CURDIR)/debian/python-pyrex --no-compile $(py_setup_install_args)
	for python in $(PYVERS); do \
		sed 's/#VERS#/'$$python'/g' debian/pythonX.Y-pyrexc > debian/python-pyrex/usr/bin/python$$python-pyrexc ; \
		chmod 755 debian/python-pyrex/usr/bin/python$$python-pyrexc ; \
	done
	dh_install -p pyrex-mode

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installemacsen
	dh_installexamples
	dh_installman debian/pyrexc.1
	# default version link for binary and manpage
	for python in $(PYVERS); \
		do dh_link -ppython-pyrex \
			usr/share/man/man1/$(PYREXC).1.gz \
			usr/share/man/man1/python$$python-$(PYREXC).1.gz ;\
	done
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure clean1st

=== debian/watch ===
version=2
http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/ Pyrex-([0-9\.]*)\.tar\.gz
